安装A11Y段落选项卡

hrs 提交于 2019/07/27 - 06:47 , 周六

通常有两种方法可以安装此模块。第一种方法是按照“扩展”下的常规方式安装模块。第二种方式是通过Composer。我记录了两种方式。

通过Drupal“扩展”:

  • 下载模块并将其放入Drupal安装中的modules文件夹中。
  • 在Drupal安装中,转到顶级管理菜单上的“扩展”。搜索模块“A11Y Paragraphs Tabs”并启用该模块。
  • 当您单击顶部管理菜单中的“报告”,然后单击“状态报告”。您可能会看到一条错误消息,指出尚未安装/添加A11Y手风琴库。

01-a11y-accordion-tabs-library-error.png

  • 浏览到  https://github.com/matthiasott/a11y-accordion-tabs  并下载库。
  • 解压缩文件夹并将其从“a11y-accordion-tabs-master”重命名为“a11y-accordion-tabs”。
  • 将此文件夹移动到Drupal安装的“/ libraries”文件夹中。它通常与“模块”和“主题”位于相同的文件夹级别。如果没有库文件夹,则可以创建一个。确保你有正确的js文件路径:/libraries/a11y-accordion-tabs/a11y-accordion-tabs.js
  • 现在,当您返回Drupal安装并单击“Reports”然后单击“Status Report”时。错误消息应该消失。如果它仍然存在,请清除缓存。
  • 通过访问/ admin / structure / paragraph_type验证安装并查看新的段落:A11Y段落选项卡包装,A11Y段落选项卡面板,A11Y段落选项卡内容。

通过作曲家:

如果您在项目中使用composer,安装非常简单。

  • 在命令行中运行“composer require drupal / paragraph”,这会将该条目添加到composer.json文件中。
  • 在命令行中运行:“composer require drupal / a11y_paragraphs_tabs”,这会将该条目添加到您的composer.json文件中。
  • 在命令行中运行“composer require npm-asset / a11y-accordion-tabs:^ 0.5.0”,这会将该条目添加到您的composer.json文件中。
  • 如果您之前没有为作曲家添加第三方库,可以查看Drupal.org上的作曲家文档:https://www.drupal.org/docs/develop/using-composer/using-composer-to-  install-drupal-and-manage-dependencies#third-party-libraries  。该文档中的步骤将向您展示如何轻松添加第三方库。执行步骤1,2和3。
  • 验证这些行是否在composer.json文件中:“require”:{:
    • “drupal / a11y_paragraphs_tabs”:“^ 1.0”,
    • “npm-asset / a11y-accordion-tabs”:“^ 0.5.0”,
  • 运行“composer install”,这将安装模块以及a11y acordion选项卡js库。
  • 然后转到Drupal安装并单击“Extend”。搜索模块“A11Y Paragraphs Tabs”,如果尚未启用,请继续并启用它。
  • 然后单击顶级管理菜单中的“报告”,然后单击“状态报告”。检查是否存在缺少“A11Y Accordion Tabs”库的错误消息。如果没有,一切都很完美。如果出现错误消息,请验证该库实际上是否在正确的文件夹中。看看你是否有文件夹结构:/libraries/a11y-accordion-tabs/a11y-accordion-tabs.js
  • 验证您的段落是否已添加:/ admin / structure / paragraph_type并查看新的段落:A11Y段落选项卡包装,A11Y段落选项卡面板,A11Y段落选项卡内容。
标签